package api

import (
	"gadmin/internal/admin/forms"
	"gadmin/internal/admin/service"
	"github.com/gin-gonic/gin"
)

func GetPaySwitch(ctx *gin.Context) {
	ctx.JSON(200, service.PaySwitchService.GetPaySwitch(ctx))
}

func EditPaySwitch(ctx *gin.Context) {
	var req forms.EditPaySwitchReq
	if err := ctx.ShouldBind(&req); err != nil {
		ctx.JSON(200, ErrorResponse(err))
		return
	}

	if err := forms.ParseParams(&req); err != nil {
		ctx.JSON(200, ErrorResponse(err))
		return
	}

	ctx.JSON(200, service.PaySwitchService.EditPaySwitch(ctx, req))
}
